/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.message.boards.moderation.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Eduardo García
 */
@ExtendedObjectClassDefinition(
	category = "message-boards",
	scope = ExtendedObjectClassDefinition.Scope.GROUP
)
@Meta.OCD(
	id = "com.liferay.message.boards.moderation.configuration.MBModerationGroupConfiguration",
	localization = "content/Language",
	name = "message-boards-moderation-workflow-group-configuration-name"
)
public interface MBModerationGroupConfiguration {

	@Meta.AD(
		deflt = "false", description = "enable-message-boards-moderation-help",
		name = "enable-message-boards-moderation", required = false
	)
	public boolean enableMessageBoardsModeration();

	@Meta.AD(
		deflt = "1", description = "minimum-contributed-messages-help",
		min = "1", name = "minimum-contributed-messages", required = false
	)
	public int minimumContributedMessages();

}